javax.persistence

## Annotation Type MapKeyTemporal

    @Target(value={METHOD,FIELD})
     @Retention(value=RUNTIME)
    public @interface MapKeyTemporal

This annotation must be specified for persistent map keys of type `Date` and `Calendar`. It may only be specified for map keys of these types.

The `MapKeyTemporal` annotation can be applied to an element collection or relationship of type `java.util.Map` in conjunction with the `ElementCollection`, `OneToMany`, or `ManyToMany` annotation.

         Example:

         @OneToMany
         @MapKeyTemporal(DATE)
         protected java.util.Map<java.util.Date, Employee> employees;

Since:
  Java Persistence 2.0

### Required Element Summary

Required Elements
`TemporalType` `value` (Required) The type used in mapping `java.util.Date` or `java.util.Calendar`.

### Element Detail

#### value

    public abstract TemporalType value

(Required) The type used in mapping `java.util.Date` or `java.util.Calendar`.